<?php

class cProveedor{

	function insertar($tip,$alias,$nom,$doc,$dir,$con,$tel,$ema){

	$sql = "INSERT tb_proveedor(

	`tb_proveedor_tip` ,

	`tb_proveedor_alias` ,

	`tb_proveedor_nom` ,

	`tb_proveedor_doc` ,

	`tb_proveedor_dir` ,

	`tb_proveedor_con` ,

	`tb_proveedor_tel` ,

	`tb_proveedor_ema`

	)

	VALUES (

	'$tip', '$alias', '$nom',  '$doc',  '$dir', '$con',  '$tel', '$ema' )";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;	

	}







	function insertarcuenta($banid,$nomid,$tipcue,$nrocue,$cci,$provid){

	$sql = "INSERT tb_proveedorcuenta(

	`tb_banco_id` ,

	`tb_moneda_id` ,

	`tb_proveedorcuenta_tipcue` ,

	`tb_proveedorcuenta_nrocue` ,

	`tb_proveedorcuenta_cci` ,

	`tb_proveedor_id` 

	)

	VALUES ( '$banid','$nomid','$tipcue','$nrocue','$cci','$provid' );";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;	

	}



	function ultimoInsert(){

	$sql = "SELECT max(tb_proveedor_id) as 'id' from tb_proveedor "; 

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;	

	}





	function filtrar_cuenta($prov_id){



	$sql="SELECT * FROM tb_proveedorcuenta pc 

	inner join tb_banco b on b.tb_banco_id = pc.tb_banco_id

	inner join tb_moneda m on m.tb_moneda_id = pc.tb_moneda_id

	WHERE pc.tb_proveedorcuenta_xac='1' and pc.tb_proveedor_id = '$prov_id' ";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;



	}



	function filtrar_cuenta_primero($prov_id){



	$sql="SELECT * FROM tb_proveedorcuenta pc 

	inner join tb_banco b on b.tb_banco_id = pc.tb_banco_id

	inner join tb_moneda m on m.tb_moneda_id = pc.tb_moneda_id

	WHERE pc.tb_proveedorcuenta_xac='1' and pc.tb_proveedor_id = '$prov_id' limit 1 ";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;



	}





	function filtrar($proid,$nom){



	$sql="SELECT * 

	FROM tb_proveedor

	WHERE tb_proveedor_xac='1'

	";

if($nom!="")$sql.=" AND tb_proveedor_nom LIKE '%$nom%' ";

if($proid>0)$sql.=" AND tb_proveedor_id = '$proid' ";



 $sql.=" ORDER BY tb_proveedor_id ";



	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}

	function mostrarUno($id){

	$sql="SELECT * 

	FROM tb_proveedor 

	WHERE tb_proveedor_id=$id";

	//echo $sql;exit;

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}

	function modificar($id,$tip,$alias,$nom,$doc,$dir,$con,$tel,$ema){

	$sql = "UPDATE tb_proveedor SET  

	`tb_proveedor_tip` =  '$tip',

	`tb_proveedor_alias` =  '$alias',

	`tb_proveedor_nom` =  '$nom',

	`tb_proveedor_doc` =  '$doc',

	`tb_proveedor_dir` =  '$dir',

	`tb_proveedor_con` =  '$con',

	`tb_proveedor_tel` =  '$tel',

	`tb_proveedor_ema` =  '$ema'

	WHERE tb_proveedor_id =$id"; 

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;	

	}

	function verifica_proveedor_doc($doc,$pro_id){

	$sql="SELECT * 

	FROM tb_proveedor

	WHERE tb_proveedor_doc LIKE '$doc' ";

	if($pro_id>0)$sql.= " AND tb_proveedor_id <> $pro_id ";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}

	

	function complete_nom($dato){

	$sql="SELECT *

		FROM tb_proveedor

		WHERE tb_proveedor_nom LIKE '%$dato%' OR tb_proveedor_doc LIKE '%$dato%'

		LIMIT 0,12

		";

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;		  

	}



	function mostrar_compras_por_proveedor($fec1,$fec2,$pro_id){		

	$sql="SELECT * 

	FROM tb_compra c

	INNER JOIN tb_proveedor p ON c.tb_proveedor_id=p.tb_proveedor_id

	INNER JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id

	INNER JOIN tb_usuario u ON c.tb_usuario_id=u.tb_usuario_id

	INNER JOIN tb_almacen a ON c.tb_almacen_id = a.tb_almacen_id

	WHERE tb_compra_fec BETWEEN '$fec1' AND '$fec2' ";		

	if($pro_id>0)$sql.=" AND c.tb_proveedor_id = ".$pro_id;

	$oCado = new Cado();

	$rst=$oCado->ejecute_sql($sql);

	return $rst;

	}



	function modificar_campo($id,$campo,$valor){

		$sql = "UPDATE tb_proveedor SET

		`tb_proveedor_$campo` =  '$valor' 

		WHERE tb_proveedor_id =$id;";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}



	function modificar_campoCuenta($id,$campo,$valor){

		$sql = "UPDATE tb_proveedorcuenta SET

		`tb_proveedorcuenta_$campo` =  '$valor' 

		WHERE tb_proveedorcuenta_id =$id;";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}







}

?>